
From: Allan Stirling <Dibblahdvb0042@pendor.org>

Fix a bug that caused the polarization (V/H) to be interchanged.

Signed-off-by: Allan Stirling <Dibblahdvb0042@pendor.org>
Signed-off-by: Manu Abraham <manu@kromtek.com>
Signed-off-by: Johannes Stezenbach <js@linuxtv.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/media/dvb/bt8xx/dst.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff -puN drivers/media/dvb/bt8xx/dst.c~dvb-twinhan-dst-frontend-polarization-fix drivers/media/dvb/bt8xx/dst.c
--- 25/drivers/media/dvb/bt8xx/dst.c~dvb-twinhan-dst-frontend-polarization-fix	Mon Jun 27 15:36:22 2005
+++ 25-akpm/drivers/media/dvb/bt8xx/dst.c	Mon Jun 27 15:36:22 2005
@@ -325,12 +325,12 @@ static int dst_set_polarization(struct d
 	switch (state->voltage) {
 		case SEC_VOLTAGE_13:	// vertical
 			printk("%s: Polarization=[Vertical]\n", __FUNCTION__);
-			state->tx_tuna[8] |= 0x40;  //1
+			state->tx_tuna[8] &= ~0x40;  //1
 			break;
 
 		case SEC_VOLTAGE_18:	// horizontal
 			printk("%s: Polarization=[Horizontal]\n", __FUNCTION__);
-			state->tx_tuna[8] =~ 0x40;  // 0
+			state->tx_tuna[8] |= 0x40;  // 0
 			break;
 
 		case SEC_VOLTAGE_OFF:
_
